org.apache.ignite.internal.processors.cache.persistence.freelist

## Class SimpleDataRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.freelist.SimpleDataRow

All Implemented Interfaces:
  Storable

Direct Known Subclasses:
  MetastorageRowStoreEntry

    public class SimpleDataRow
    extends Object
    implements Storable

Implementation of `Storable` which holds byte array of variable length.

### Constructor Summary

Constructors
Constructor and Description
`SimpleDataRow(int part, byte[] val)`
`SimpleDataRow(long link, int part, byte[] val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `headerSize()`
`IOVersions<? extends AbstractDataPageIO>` `ioVersions()`
`long` `link()`
`void` `link(long link)`
`int` `partition()`
`int` `size()`
`String` `toString()`
`byte[]` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleDataRow

    public SimpleDataRow(long link,
                         int part,
                         byte[] val)

Parameters:
  `link` - Link.
  `part` - Partition.
  `val` - Value.

#### SimpleDataRow

    public SimpleDataRow(int part,
                         byte[] val)

Parameters:
  `part` - Partition.
  `val` - Value.

### Method Detail

#### link

    public void link(long link)

Specified by:
  `link` in interface `Storable`
Parameters:
  `link` - Link for this row.

#### link

    public long link()

Specified by:
  `link` in interface `Storable`
Returns:
  Link for this row.

#### partition

    public int partition()

Specified by:
  `partition` in interface `Storable`
Returns:
  Partition.

#### size

    public int size()
             throws IgniteCheckedException

Specified by:
  `size` in interface `Storable`
Returns:
  Row size in page.
Throws:
  `IgniteCheckedException` - If failed.

#### headerSize

    public int headerSize()

Specified by:
  `headerSize` in interface `Storable`
Returns:
  Row header size in page. Header is indivisible part of row which is entirely available on the very first page followed by the row link.

#### value

    public byte[] value()

Returns:
  Value.

#### ioVersions

    public IOVersions<? extends AbstractDataPageIO> ioVersions()

Specified by:
  `ioVersions` in interface `Storable`
Returns:
  I/O for handling this storable.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020